wxSQLite3 3.3.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
wxSQLite3Exception Class Reference

SQL exception. More...

`#include <wxsqlite3.h>`

## Public Member Functions
| wxSQLite3Exception (int errorCode, const wxString &errMsg)
| Constructor. More...
| wxSQLite3Exception (const wxSQLite3Exception &e)
| Copy constructor. More...
virtual | ~wxSQLite3Exception ()
| Destructor. More...
int | GetErrorCode () const
| Get error code associated with the exception. More...
int | GetExtendedErrorCode () const
| Get extended error code associated with the exception. More...
const wxString | GetMessage () const
| Get error message associated with the exception. More...

## Static Public Member Functions
static const wxString | ErrorCodeAsString (int errorCode)
| Convert error code to error message. More...

## Detailed Description

SQL exception.

## Constructor & Destructor Documentation

wxSQLite3Exception::wxSQLite3Exception | ( | int | errorCode,
|  | const wxString & | errMsg
| ) |  |

Constructor.

wxSQLite3Exception::wxSQLite3Exception | ( | const wxSQLite3Exception & | e | ) |

Copy constructor.

wxSQLite3Exception::~wxSQLite3Exception | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

const wxString wxSQLite3Exception::ErrorCodeAsString | ( | int | errorCode | ) |
| static

Convert error code to error message.

int wxSQLite3Exception::GetErrorCode | ( |  | ) | const
| inline

Get error code associated with the exception.

int wxSQLite3Exception::GetExtendedErrorCode | ( |  | ) | const
| inline

Get extended error code associated with the exception.

const wxString wxSQLite3Exception::GetMessage | ( |  | ) | const
| inline

Get error message associated with the exception.

The documentation for this class was generated from the following files:

- wxsqlite3.h
- wxsqlite3.cpp